{"items":[{"type":"link","label":"seg-config-api","link":"/seg/seg-config-openapi","routeSlug":"/seg/seg-config-openapi","content":{"contentType":"overview","meta":{"name":"seg-config-api"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"seg-config-openapi.json","url":"/_bundle/seg/seg-config-openapi.json?download"},{"kind":"download","label":"seg-config-openapi.yaml","url":"/_bundle/seg/seg-config-openapi.yaml?download"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"javascript","title":"JavaScript","lang":"JavaScript"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"go","title":"Go","lang":"Go"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"r","title":"R","lang":"R"},{"key":"payload","title":"Payload","lang":"Payload"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"seg-config-api (1.2.1)","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":"API Gateway that provides a single point of entry for clients to manage customer configuration."}],"sectionId":"/seg/seg-config-openapi"}],"sectionId":"/seg/seg-config-openapi"}]}]}},{"type":"group","label":"Token","link":"/seg/seg-config-openapi/token","routeSlug":"/seg/seg-config-openapi/token","items":[{"type":"link","label":"Generate an access token","link":"/seg/seg-config-openapi/token/generate-an-access-token","routeSlug":"/seg/seg-config-openapi/token/generate-an-access-token","content":{"contentType":"item","itemVariant":"markdown","meta":{"name":"Generate an access token"},"children":[{"nodeType":"container","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"heading","attributes":{"level":2,"id":"token/generate-an-access-token"},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Generate an access token"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Send a "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"POST"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" request to "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" with the content type "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"application/x-www-form-urlencoded"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and these form fields:"},"children":[]}]}]},{"$$mdtype":"Node","type":"table","attributes":{},"children":[{"$$mdtype":"Node","type":"thead","attributes":{},"children":[{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"th","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Field"},"children":[]}]}]},{"$$mdtype":"Node","type":"th","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Value"},"children":[]}]}]}]}]},{"$$mdtype":"Node","type":"tbody","attributes":{},"children":[{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"grant_type"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_credentials"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_id"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Client ID supplied by Retarus"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"tr","attributes":{},"children":[{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"client_secret"},"children":[]}]}]},{"$$mdtype":"Node","type":"td","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Client secret supplied by Retarus"},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A successful response contains "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"access_token"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"expires_in"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"token_type"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", and the granted "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"scope"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":". Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"access_token"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" as an HTTP Bearer token for Configuration API requests:"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Bearer <ACCESS_TOKEN>"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Access tokens are short-lived. Cache a token only until shortly before "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"expires_in"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" elapses, then request a new one with the same client credentials. A Client Credentials token is not renewed with an end-user refresh-token flow."},"children":[]}]}]}]}],"panels":[]}]}},{"type":"link","label":"Example request","link":"/seg/seg-config-openapi/token/example-request","routeSlug":"/seg/seg-config-openapi/token/example-request","content":{"contentType":"item","itemVariant":"markdown","meta":{"name":"Example request"},"children":[{"nodeType":"container","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"heading","attributes":{"level":2,"id":"token/example-request"},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example request"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"curl --request POST \\\n  --url \"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token\" \\\n  --header \"Content-Type: application/x-www-form-urlencoded\" \\\n  --data-urlencode \"grant_type=client_credentials\" \\\n  --data-urlencode \"client_id=<CLIENT_ID>\" \\\n  --data-urlencode \"client_secret=<CLIENT_SECRET>\"\n","language":"bash"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"curl --request POST \\\n  --url \"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token\" \\\n  --header \"Content-Type: application/x-www-form-urlencoded\" \\\n  --data-urlencode \"grant_type=client_credentials\" \\\n  --data-urlencode \"client_id=<CLIENT_ID>\" \\\n  --data-urlencode \"client_secret=<CLIENT_SECRET>\"\n"},"children":[]}]}]}],"panels":[]}]}},{"type":"link","label":"Example response","link":"/seg/seg-config-openapi/token/example-response","routeSlug":"/seg/seg-config-openapi/token/example-response","content":{"contentType":"item","itemVariant":"markdown","meta":{"name":"Example response"},"children":[{"nodeType":"container","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"heading","attributes":{"level":2,"id":"token/example-response"},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example response"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"{\n  \"access_token\": \"<ACCESS_TOKEN>\",\n  \"expires_in\": 300,\n  \"token_type\": \"Bearer\",\n  \"scope\": \"<GRANTED_SCOPES>\"\n}\n","language":"json"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{\n  \"access_token\": \"<ACCESS_TOKEN>\",\n  \"expires_in\": 300,\n  \"token_type\": \"Bearer\",\n  \"scope\": \"<GRANTED_SCOPES>\"\n}\n"},"children":[]}]}]}],"panels":[]}]}},{"type":"link","label":"Use the token","link":"/seg/seg-config-openapi/token/use-the-token","routeSlug":"/seg/seg-config-openapi/token/use-the-token","content":{"contentType":"item","itemVariant":"markdown","meta":{"name":"Use the token"},"children":[{"nodeType":"container","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"heading","attributes":{"level":2,"id":"token/use-the-token"},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the token"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"curl --header \"Authorization: Bearer <ACCESS_TOKEN>\" \\\n  \"https://api.retarus.com/seg/config/v1/beta/<CUSTOMER_ID>/directory/domains\"\n","language":"bash"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"curl --header \"Authorization: Bearer <ACCESS_TOKEN>\" \\\n  \"https://api.retarus.com/seg/config/v1/beta/<CUSTOMER_ID>/directory/domains\"\n"},"children":[]}]}]}],"panels":[]}]}}],"content":{"contentType":"group","meta":{"name":"token"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Token","showPageActions":true},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The Configuration API uses the OAuth 2.0 Client Credentials grant."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Request API credentials from Retarus before calling the API. Keep the client secret and every access token confidential; do not commit them to source control or write them to application logs."},"children":[]}]}]}]}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/token"}],"panels":[]}]}},{"type":"group","label":"Directory Administration","link":"/seg/seg-config-openapi/directoryadministration","routeSlug":"/seg/seg-config-openapi/directoryadministration","items":[{"type":"group","label":"Domains","link":"/seg/seg-config-openapi/directoryadministration/domains","routeSlug":"/seg/seg-config-openapi/directoryadministration/domains","items":[{"label":"Get Domains","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/seg/seg-config-openapi/directoryadministration/domains/get_domains_api_v1_seg_config_gateway__customerid__directory_domains_get","routeSlug":"/seg/seg-config-openapi/directoryadministration/domains/get_domains_api_v1_seg_config_gateway__customerid__directory_domains_get","metadata":{"seo":{"title":"Get Domains","description":"Get Domains"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"get_domains_api_v1_seg_config_gateway__customerId__directory_domains_get","name":"Get Domains","isWebhook":false,"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get Domains","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"security","requirements":[{"schemes":[{"name":"Prod","scopes":[],"type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"customerId","in":"path","schemaId":"schema_130","required":true}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/parameters"},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"filter","in":"query","schemaId":"schema_131","description":"Search only for domains that prefix the given filter"},{"name":"order","in":"query","schemaId":"schema_132","description":"Defines the order in which the domains appear in the response"},{"name":"limit","in":"query","schemaId":"schema_133","description":"Result size"},{"name":"cursor","in":"query","schemaId":"schema_134","description":"Cursor for pagination"},{"name":"detailed","in":"query","schemaId":"schema_135","description":"Return detailed information"}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/seg/config/v1/beta/{customerId}/directory/domains","servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"parameters":{"path":[{"name":"customerId","in":"path","required":true,"schemaId":"schema_130"}],"query":[{"name":"filter","in":"query","required":false,"schemaId":"schema_131"},{"name":"order","in":"query","required":false,"schemaId":"components/schemas/Order"},{"name":"limit","in":"query","required":false,"schemaId":"schema_133"},{"name":"cursor","in":"query","required":false,"schemaId":"schema_134"},{"name":"detailed","in":"query","required":false,"schemaId":"schema_135"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"Prod","type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}],"scopes":[]}],"responseCodes":["200","404","500"],"pointer":"/seg/config/v1/beta/{customerId}/directory/domains","href":"directoryadministration/domains/get_domains_api_v1_seg_config_gateway__customerid__directory_domains_get","openApiOperationId":"get_domains_api_v1_seg_config_gateway__customerId__directory_domains_get","summary":"Get Domains"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Get all domains of a customer","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponseGet_list_TransportTypeDomainWithDetails__","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/responses/200/content/application~1json/examples/detailed=false","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/responses/200/content/application~1json/examples/detailed=true"]}},"schemaId":"components/schemas/TransportResponseGet_list_TransportTypeDomainWithDetails__","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/responses/200/content/application~1json/examples/detailed=false","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/responses/200/content/application~1json/examples/detailed=true"]},{"code":"404","description":"Not Found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/responses/404/content/application~1json/example"]},{"code":"500","description":"Internal Server Error","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/TransportResponseGet_list_TransportTypeDomainWithDetails__","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/responses/200/content/application~1json/examples/detailed=false","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/responses/200/content/application~1json/examples/detailed=true"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponseGet_list_TransportTypeDomainWithDetails__","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/responses/200/content/application~1json/examples/detailed=false","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/responses/200/content/application~1json/examples/detailed=true"]}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/responses/404/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/get/responses/404/content/application~1json/example"]}}},{"code":"500","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/directoryadministration/domains/get_domains_api_v1_seg_config_gateway__customerid__directory_domains_get"}],"panels":[]}]},"httpPath":"/seg/config/v1/beta/{customerId}/directory/domains"},{"label":"Put Domains","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/seg/seg-config-openapi/directoryadministration/domains/put_domains_api_v1_seg_config_gateway__customerid__directory_domains_put","routeSlug":"/seg/seg-config-openapi/directoryadministration/domains/put_domains_api_v1_seg_config_gateway__customerid__directory_domains_put","metadata":{"seo":{"title":"Put Domains","description":"Put Domains"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"put_domains_api_v1_seg_config_gateway__customerId__directory_domains_put","name":"Put Domains","isWebhook":false,"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Put Domains","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"security","requirements":[{"schemes":[{"name":"Prod","scopes":[],"type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"customerId","in":"path","schemaId":"schema_130","required":true}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/TransportPayloadDomainsPutPatch"}},"schemaId":"components/schemas/TransportPayloadDomainsPutPatch","pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/seg/config/v1/beta/{customerId}/directory/domains","servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"parameters":{"path":[{"name":"customerId","in":"path","required":true,"schemaId":"schema_130"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"Prod","type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/TransportPayloadDomainsPutPatch"}},"responseCodes":["200","400","404","500"],"pointer":"/seg/config/v1/beta/{customerId}/directory/domains","href":"directoryadministration/domains/put_domains_api_v1_seg_config_gateway__customerid__directory_domains_put","openApiOperationId":"put_domains_api_v1_seg_config_gateway__customerId__directory_domains_put","summary":"Put Domains"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"schemaId":"components/schemas/TransportPayloadDomainsPutPatch","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/TransportPayloadDomainsPutPatch"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Add multiple domains to a customer","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/200/content/application~1json/examples/success","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/200/content/application~1json/examples/partialSuccess"]}},"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/200/content/application~1json/examples/success","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/200/content/application~1json/examples/partialSuccess"]},{"code":"400","description":"Bad Request","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/400/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/400/content/application~1json/example"]},{"code":"404","description":"Not Found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/404/content/application~1json/example"]},{"code":"500","description":"Internal Server Error","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/200/content/application~1json/examples/success","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/200/content/application~1json/examples/partialSuccess"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/200/content/application~1json/examples/success","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/200/content/application~1json/examples/partialSuccess"]}}},{"code":"400","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/400/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/400/content/application~1json/example"]}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/404/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/put/responses/404/content/application~1json/example"]}}},{"code":"500","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/directoryadministration/domains/put_domains_api_v1_seg_config_gateway__customerid__directory_domains_put"}],"panels":[]}]},"httpPath":"/seg/config/v1/beta/{customerId}/directory/domains"},{"label":"Patch Domains","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/seg/seg-config-openapi/directoryadministration/domains/patch_domains_api_v1_seg_config_gateway__customerid__directory_domains_patch","routeSlug":"/seg/seg-config-openapi/directoryadministration/domains/patch_domains_api_v1_seg_config_gateway__customerid__directory_domains_patch","metadata":{"seo":{"title":"Patch Domains","description":"Patch Domains"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"patch_domains_api_v1_seg_config_gateway__customerId__directory_domains_patch","name":"Patch Domains","isWebhook":false,"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Patch Domains","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"security","requirements":[{"schemes":[{"name":"Prod","scopes":[],"type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"customerId","in":"path","schemaId":"schema_130","required":true}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/TransportPayloadDomainsPutPatch"}},"schemaId":"components/schemas/TransportPayloadDomainsPutPatch","pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PATCH","path":"/seg/config/v1/beta/{customerId}/directory/domains","servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"parameters":{"path":[{"name":"customerId","in":"path","required":true,"schemaId":"schema_130"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"Prod","type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/TransportPayloadDomainsPutPatch"}},"responseCodes":["200","400","404","500"],"pointer":"/seg/config/v1/beta/{customerId}/directory/domains","href":"directoryadministration/domains/patch_domains_api_v1_seg_config_gateway__customerid__directory_domains_patch","openApiOperationId":"patch_domains_api_v1_seg_config_gateway__customerId__directory_domains_patch","summary":"Patch Domains"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"schemaId":"components/schemas/TransportPayloadDomainsPutPatch","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/TransportPayloadDomainsPutPatch"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Update multiple domains of a customer","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/200/content/application~1json/examples/success","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/200/content/application~1json/examples/partialSuccess"]}},"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/200/content/application~1json/examples/success","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/200/content/application~1json/examples/partialSuccess"]},{"code":"400","description":"Bad Request","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/400/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/400/content/application~1json/example"]},{"code":"404","description":"Not Found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/404/content/application~1json/example"]},{"code":"500","description":"Internal Server Error","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/200/content/application~1json/examples/success","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/200/content/application~1json/examples/partialSuccess"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/200/content/application~1json/examples/success","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/200/content/application~1json/examples/partialSuccess"]}}},{"code":"400","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/400/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/400/content/application~1json/example"]}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/404/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/patch/responses/404/content/application~1json/example"]}}},{"code":"500","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/directoryadministration/domains/patch_domains_api_v1_seg_config_gateway__customerid__directory_domains_patch"}],"panels":[]}]},"httpPath":"/seg/config/v1/beta/{customerId}/directory/domains"},{"label":"Delete Domains","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/seg/seg-config-openapi/directoryadministration/domains/delete_domains_api_v1_seg_config_gateway__customerid__directory_domains_delete","routeSlug":"/seg/seg-config-openapi/directoryadministration/domains/delete_domains_api_v1_seg_config_gateway__customerid__directory_domains_delete","metadata":{"seo":{"title":"Delete Domains","description":"Delete Domains"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"delete_domains_api_v1_seg_config_gateway__customerId__directory_domains_delete","name":"Delete Domains","isWebhook":false,"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Delete Domains","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"security","requirements":[{"schemes":[{"name":"Prod","scopes":[],"type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"customerId","in":"path","schemaId":"schema_130","required":true}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/TransportPayloadDomainsDelete"}},"schemaId":"components/schemas/TransportPayloadDomainsDelete","pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"DELETE","path":"/seg/config/v1/beta/{customerId}/directory/domains","servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"parameters":{"path":[{"name":"customerId","in":"path","required":true,"schemaId":"schema_130"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"Prod","type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/TransportPayloadDomainsDelete"}},"responseCodes":["200","400","500"],"pointer":"/seg/config/v1/beta/{customerId}/directory/domains","href":"directoryadministration/domains/delete_domains_api_v1_seg_config_gateway__customerid__directory_domains_delete","openApiOperationId":"delete_domains_api_v1_seg_config_gateway__customerId__directory_domains_delete","summary":"Delete Domains"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"schemaId":"components/schemas/TransportPayloadDomainsDelete","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/TransportPayloadDomainsDelete"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Delete multiple domains of a customer","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/responses/200/content/application~1json/examples/success","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/responses/200/content/application~1json/examples/partialSuccess"]}},"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/responses/200/content/application~1json/examples/success","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/responses/200/content/application~1json/examples/partialSuccess"]},{"code":"400","description":"Bad Request","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/responses/400/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/responses/400/content/application~1json/example"]},{"code":"500","description":"Internal Server Error","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/responses/200/content/application~1json/examples/success","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/responses/200/content/application~1json/examples/partialSuccess"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/responses/200/content/application~1json/examples/success","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/responses/200/content/application~1json/examples/partialSuccess"]}}},{"code":"400","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/responses/400/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains/delete/responses/400/content/application~1json/example"]}}},{"code":"500","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/directoryadministration/domains/delete_domains_api_v1_seg_config_gateway__customerid__directory_domains_delete"}],"panels":[]}]},"httpPath":"/seg/config/v1/beta/{customerId}/directory/domains"},{"label":"Get Single Domain","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/seg/seg-config-openapi/directoryadministration/domains/get_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__get","routeSlug":"/seg/seg-config-openapi/directoryadministration/domains/get_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__get","metadata":{"seo":{"title":"Get Single Domain","description":"Get Single Domain"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"get_single_domain_api_v1_seg_config_gateway__customerId__directory_domains__domain__get","name":"Get Single Domain","isWebhook":false,"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get Single Domain","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"security","requirements":[{"schemes":[{"name":"Prod","scopes":[],"type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"customerId","in":"path","schemaId":"schema_130","required":true},{"name":"domain","in":"path","schemaId":"schema_136","required":true}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}","servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"parameters":{"path":[{"name":"customerId","in":"path","required":true,"schemaId":"schema_130"},{"name":"domain","in":"path","required":true,"schemaId":"schema_136"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"Prod","type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}],"scopes":[]}],"responseCodes":["200","404","500"],"pointer":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}","href":"directoryadministration/domains/get_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__get","openApiOperationId":"get_single_domain_api_v1_seg_config_gateway__customerId__directory_domains__domain__get","summary":"Get Single Domain"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Get a single domain of a customer","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponseGet_TransportTypeDomainDetails_","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/get/responses/200/content/application~1json/example"]}},"schemaId":"components/schemas/TransportResponseGet_TransportTypeDomainDetails_","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/get/responses/200/content/application~1json/example"]},{"code":"404","description":"Not Found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/get/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/get/responses/404/content/application~1json/example"]},{"code":"500","description":"Internal Server Error","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/TransportResponseGet_TransportTypeDomainDetails_","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/get/responses/200/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponseGet_TransportTypeDomainDetails_","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/get/responses/200/content/application~1json/example"]}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/get/responses/404/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/get/responses/404/content/application~1json/example"]}}},{"code":"500","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/directoryadministration/domains/get_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__get"}],"panels":[]}]},"httpPath":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}"},{"label":"Put Single Domain","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/seg/seg-config-openapi/directoryadministration/domains/put_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__put","routeSlug":"/seg/seg-config-openapi/directoryadministration/domains/put_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__put","metadata":{"seo":{"title":"Put Single Domain","description":"Put Single Domain"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"put_single_domain_api_v1_seg_config_gateway__customerId__directory_domains__domain__put","name":"Put Single Domain","isWebhook":false,"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Put Single Domain","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"security","requirements":[{"schemes":[{"name":"Prod","scopes":[],"type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"customerId","in":"path","schemaId":"schema_130","required":true},{"name":"domain","in":"path","schemaId":"schema_136","required":true}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/TransportPayloadSingleDomainPutPatch"}},"schemaId":"components/schemas/TransportPayloadSingleDomainPutPatch","pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/put/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}","servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"parameters":{"path":[{"name":"customerId","in":"path","required":true,"schemaId":"schema_130"},{"name":"domain","in":"path","required":true,"schemaId":"schema_136"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"Prod","type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/TransportPayloadSingleDomainPutPatch"}},"responseCodes":["200","404","500"],"pointer":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}","href":"directoryadministration/domains/put_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__put","openApiOperationId":"put_single_domain_api_v1_seg_config_gateway__customerId__directory_domains__domain__put","summary":"Put Single Domain"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"schemaId":"components/schemas/TransportPayloadSingleDomainPutPatch","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/TransportPayloadSingleDomainPutPatch"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Add a single domain to a customer","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/put/responses/200/content/application~1json/example"]}},"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/put/responses/200/content/application~1json/example"]},{"code":"404","description":"Not Found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/put/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/put/responses/404/content/application~1json/example"]},{"code":"500","description":"Internal Server Error","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/put/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/put/responses/200/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/put/responses/200/content/application~1json/example"]}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/put/responses/404/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/put/responses/404/content/application~1json/example"]}}},{"code":"500","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/directoryadministration/domains/put_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__put"}],"panels":[]}]},"httpPath":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}"},{"label":"Patch Single Domain","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/seg/seg-config-openapi/directoryadministration/domains/patch_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__patch","routeSlug":"/seg/seg-config-openapi/directoryadministration/domains/patch_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__patch","metadata":{"seo":{"title":"Patch Single Domain","description":"Patch Single Domain"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"patch_single_domain_api_v1_seg_config_gateway__customerId__directory_domains__domain__patch","name":"Patch Single Domain","isWebhook":false,"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/patch","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Patch Single Domain","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"security","requirements":[{"schemes":[{"name":"Prod","scopes":[],"type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"customerId","in":"path","schemaId":"schema_130","required":true},{"name":"domain","in":"path","schemaId":"schema_136","required":true}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/patch/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/TransportPayloadSingleDomainPutPatch"}},"schemaId":"components/schemas/TransportPayloadSingleDomainPutPatch","pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/patch/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PATCH","path":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}","servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"parameters":{"path":[{"name":"customerId","in":"path","required":true,"schemaId":"schema_130"},{"name":"domain","in":"path","required":true,"schemaId":"schema_136"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"Prod","type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/TransportPayloadSingleDomainPutPatch"}},"responseCodes":["200","404","500"],"pointer":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}","href":"directoryadministration/domains/patch_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__patch","openApiOperationId":"patch_single_domain_api_v1_seg_config_gateway__customerId__directory_domains__domain__patch","summary":"Patch Single Domain"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"schemaId":"components/schemas/TransportPayloadSingleDomainPutPatch","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/TransportPayloadSingleDomainPutPatch"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Update a single domain of a customer","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/patch/responses/200/content/application~1json/example"]}},"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/patch/responses/200/content/application~1json/example"]},{"code":"404","description":"Not Found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/patch/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/patch/responses/404/content/application~1json/example"]},{"code":"500","description":"Internal Server Error","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/patch/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/patch/responses/200/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/patch/responses/200/content/application~1json/example"]}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/patch/responses/404/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/patch/responses/404/content/application~1json/example"]}}},{"code":"500","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/directoryadministration/domains/patch_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__patch"}],"panels":[]}]},"httpPath":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}"},{"label":"Delete Single Domain","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/seg/seg-config-openapi/directoryadministration/domains/delete_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__delete","routeSlug":"/seg/seg-config-openapi/directoryadministration/domains/delete_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__delete","metadata":{"seo":{"title":"Delete Single Domain","description":"Delete Single Domain"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"delete_single_domain_api_v1_seg_config_gateway__customerId__directory_domains__domain__delete","name":"Delete Single Domain","isWebhook":false,"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/delete","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Delete Single Domain","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"security","requirements":[{"schemes":[{"name":"Prod","scopes":[],"type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"customerId","in":"path","schemaId":"schema_130","required":true},{"name":"domain","in":"path","schemaId":"schema_136","required":true}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/delete/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"DELETE","path":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}","servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"parameters":{"path":[{"name":"customerId","in":"path","required":true,"schemaId":"schema_130"},{"name":"domain","in":"path","required":true,"schemaId":"schema_136"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"Prod","type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}],"scopes":[]}],"responseCodes":["200","404","500"],"pointer":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}","href":"directoryadministration/domains/delete_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__delete","openApiOperationId":"delete_single_domain_api_v1_seg_config_gateway__customerId__directory_domains__domain__delete","summary":"Delete Single Domain"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Delete a single domain of a customer","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/delete/responses/200/content/application~1json/example"]}},"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/delete/responses/200/content/application~1json/example"]},{"code":"404","description":"Not Found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/delete/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/delete/responses/404/content/application~1json/example"]},{"code":"500","description":"Internal Server Error","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/delete/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/delete/responses/200/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/delete/responses/200/content/application~1json/example"]}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/delete/responses/404/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}/delete/responses/404/content/application~1json/example"]}}},{"code":"500","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/directoryadministration/domains/delete_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__delete"}],"panels":[]}]},"httpPath":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}"}],"content":{"contentType":"group","meta":{"name":"domains","breadcrumbs":[{"label":"Directory Administration"}]},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Domains","showPageActions":true},{"nodeType":"markdoc","content":"Create, read, update, and delete managed domains."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/seg/config/v1/beta/{customerId}/directory/domains","summary":"Get Domains","prefix":{"name":"get","color":"get"},"badges":[],"link":"/directoryadministration/domains/get_domains_api_v1_seg_config_gateway__customerid__directory_domains_get","deprecated":false},{"title":"/seg/config/v1/beta/{customerId}/directory/domains","summary":"Put Domains","prefix":{"name":"put","color":"put"},"badges":[],"link":"/directoryadministration/domains/put_domains_api_v1_seg_config_gateway__customerid__directory_domains_put","deprecated":false},{"title":"/seg/config/v1/beta/{customerId}/directory/domains","summary":"Patch Domains","prefix":{"name":"patch","color":"patch"},"badges":[],"link":"/directoryadministration/domains/patch_domains_api_v1_seg_config_gateway__customerid__directory_domains_patch","deprecated":false},{"title":"/seg/config/v1/beta/{customerId}/directory/domains","summary":"Delete Domains","prefix":{"name":"delete","color":"delete"},"badges":[],"link":"/directoryadministration/domains/delete_domains_api_v1_seg_config_gateway__customerid__directory_domains_delete","deprecated":false},{"title":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}","summary":"Get Single Domain","prefix":{"name":"get","color":"get"},"badges":[],"link":"/directoryadministration/domains/get_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__get","deprecated":false},{"title":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}","summary":"Put Single Domain","prefix":{"name":"put","color":"put"},"badges":[],"link":"/directoryadministration/domains/put_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__put","deprecated":false},{"title":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}","summary":"Patch Single Domain","prefix":{"name":"patch","color":"patch"},"badges":[],"link":"/directoryadministration/domains/patch_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__patch","deprecated":false},{"title":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}","summary":"Delete Single Domain","prefix":{"name":"delete","color":"delete"},"badges":[],"link":"/directoryadministration/domains/delete_single_domain_api_v1_seg_config_gateway__customerid__directory_domains__domain__delete","deprecated":false}]}]}]}]}},{"type":"group","label":"Users","link":"/seg/seg-config-openapi/directoryadministration/users","routeSlug":"/seg/seg-config-openapi/directoryadministration/users","items":[{"label":"Get Users","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/seg/seg-config-openapi/directoryadministration/users/get_users_api_v1_seg_config_gateway__customerid__directory_users_get","routeSlug":"/seg/seg-config-openapi/directoryadministration/users/get_users_api_v1_seg_config_gateway__customerid__directory_users_get","metadata":{"seo":{"title":"Get Users","description":"Get Users"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"get_users_api_v1_seg_config_gateway__customerId__directory_users_get","name":"Get Users","isWebhook":false,"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get Users","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"security","requirements":[{"schemes":[{"name":"Prod","scopes":[],"type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"customerId","in":"path","schemaId":"schema_130","required":true}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/parameters"},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"filter","in":"query","schemaId":"schema_131","description":"Search only for domains that prefix the given filter"},{"name":"order","in":"query","schemaId":"schema_132","description":"Defines the order in which the domains appear in the response"},{"name":"limit","in":"query","schemaId":"schema_133","description":"Result size"},{"name":"cursor","in":"query","schemaId":"schema_134","description":"Cursor for pagination"},{"name":"detailed","in":"query","schemaId":"schema_135","description":"Return detailed information"}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/seg/config/v1/beta/{customerId}/directory/users","servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"parameters":{"path":[{"name":"customerId","in":"path","required":true,"schemaId":"schema_130"}],"query":[{"name":"filter","in":"query","required":false,"schemaId":"schema_131"},{"name":"order","in":"query","required":false,"schemaId":"components/schemas/Order"},{"name":"limit","in":"query","required":false,"schemaId":"schema_133"},{"name":"cursor","in":"query","required":false,"schemaId":"schema_134"},{"name":"detailed","in":"query","required":false,"schemaId":"schema_135"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"Prod","type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}],"scopes":[]}],"responseCodes":["200","404","500"],"pointer":"/seg/config/v1/beta/{customerId}/directory/users","href":"directoryadministration/users/get_users_api_v1_seg_config_gateway__customerid__directory_users_get","openApiOperationId":"get_users_api_v1_seg_config_gateway__customerId__directory_users_get","summary":"Get Users"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Get all users of a customer","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponseGet_list_TransportTypeUserWithDetails__","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/responses/200/content/application~1json/examples/detailed=false","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/responses/200/content/application~1json/examples/detailed=true"]}},"schemaId":"components/schemas/TransportResponseGet_list_TransportTypeUserWithDetails__","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/responses/200/content/application~1json/examples/detailed=false","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/responses/200/content/application~1json/examples/detailed=true"]},{"code":"404","description":"Not Found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/responses/404/content/application~1json/example"]},{"code":"500","description":"Internal Server Error","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/TransportResponseGet_list_TransportTypeUserWithDetails__","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/responses/200/content/application~1json/examples/detailed=false","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/responses/200/content/application~1json/examples/detailed=true"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponseGet_list_TransportTypeUserWithDetails__","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/responses/200/content/application~1json/examples/detailed=false","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/responses/200/content/application~1json/examples/detailed=true"]}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/responses/404/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1users/get/responses/404/content/application~1json/example"]}}},{"code":"500","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/directoryadministration/users/get_users_api_v1_seg_config_gateway__customerid__directory_users_get"}],"panels":[]}]},"httpPath":"/seg/config/v1/beta/{customerId}/directory/users"},{"label":"Get Domain Users","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/seg/seg-config-openapi/directoryadministration/users/get_domain_users_api_v1_seg_config_gateway__customerid__directory_domains__domain__users_get","routeSlug":"/seg/seg-config-openapi/directoryadministration/users/get_domain_users_api_v1_seg_config_gateway__customerid__directory_domains__domain__users_get","metadata":{"seo":{"title":"Get Domain Users","description":"Get Domain Users"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"get_domain_users_api_v1_seg_config_gateway__customerId__directory_domains__domain__users_get","name":"Get Domain Users","isWebhook":false,"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get Domain Users","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"security","requirements":[{"schemes":[{"name":"Prod","scopes":[],"type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"customerId","in":"path","schemaId":"schema_130","required":true},{"name":"domain","in":"path","schemaId":"schema_136","required":true}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/parameters"},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"filter","in":"query","schemaId":"schema_131","description":"Search only for domains that prefix the given filter"},{"name":"order","in":"query","schemaId":"schema_132","description":"Defines the order in which the domains appear in the response"},{"name":"limit","in":"query","schemaId":"schema_133","description":"Result size"},{"name":"cursor","in":"query","schemaId":"schema_134","description":"Cursor for pagination"},{"name":"detailed","in":"query","schemaId":"schema_135","description":"Return detailed information"}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}/users","servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"parameters":{"path":[{"name":"customerId","in":"path","required":true,"schemaId":"schema_130"},{"name":"domain","in":"path","required":true,"schemaId":"schema_136"}],"query":[{"name":"filter","in":"query","required":false,"schemaId":"schema_131"},{"name":"order","in":"query","required":false,"schemaId":"components/schemas/Order"},{"name":"limit","in":"query","required":false,"schemaId":"schema_133"},{"name":"cursor","in":"query","required":false,"schemaId":"schema_134"},{"name":"detailed","in":"query","required":false,"schemaId":"schema_135"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"Prod","type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}],"scopes":[]}],"responseCodes":["200","404","500"],"pointer":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}/users","href":"directoryadministration/users/get_domain_users_api_v1_seg_config_gateway__customerid__directory_domains__domain__users_get","openApiOperationId":"get_domain_users_api_v1_seg_config_gateway__customerId__directory_domains__domain__users_get","summary":"Get Domain Users"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Get all users of a customer for a specific domain","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponseGet_list_TransportTypeUserWithDetails__","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/responses/200/content/application~1json/examples/detailed=false","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/responses/200/content/application~1json/examples/detailed=true"]}},"schemaId":"components/schemas/TransportResponseGet_list_TransportTypeUserWithDetails__","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/responses/200/content/application~1json/examples/detailed=false","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/responses/200/content/application~1json/examples/detailed=true"]},{"code":"404","description":"Not Found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/responses/404/content/application~1json/example"]},{"code":"500","description":"Internal Server Error","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/TransportResponseGet_list_TransportTypeUserWithDetails__","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/responses/200/content/application~1json/examples/detailed=false","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/responses/200/content/application~1json/examples/detailed=true"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponseGet_list_TransportTypeUserWithDetails__","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/responses/200/content/application~1json/examples/detailed=false","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/responses/200/content/application~1json/examples/detailed=true"]}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/responses/404/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/get/responses/404/content/application~1json/example"]}}},{"code":"500","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/directoryadministration/users/get_domain_users_api_v1_seg_config_gateway__customerid__directory_domains__domain__users_get"}],"panels":[]}]},"httpPath":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}/users"},{"label":"Put Domain Users","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/seg/seg-config-openapi/directoryadministration/users/put_domain_users_api_v1_seg_config_gateway__customerid__directory_domains__domain__users_put","routeSlug":"/seg/seg-config-openapi/directoryadministration/users/put_domain_users_api_v1_seg_config_gateway__customerid__directory_domains__domain__users_put","metadata":{"seo":{"title":"Put Domain Users","description":"Put Domain Users"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"put_domain_users_api_v1_seg_config_gateway__customerId__directory_domains__domain__users_put","name":"Put Domain Users","isWebhook":false,"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Put Domain Users","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"security","requirements":[{"schemes":[{"name":"Prod","scopes":[],"type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"customerId","in":"path","schemaId":"schema_130","required":true},{"name":"domain","in":"path","schemaId":"schema_136","required":true}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/TransportPayloadUsersPutPatch"}},"schemaId":"components/schemas/TransportPayloadUsersPutPatch","pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}/users","servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"parameters":{"path":[{"name":"customerId","in":"path","required":true,"schemaId":"schema_130"},{"name":"domain","in":"path","required":true,"schemaId":"schema_136"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"Prod","type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api-auth-service.eu.retarus.com/realms/platform/protocol/openid-connect/token"}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/TransportPayloadUsersPutPatch"}},"responseCodes":["200","400","404","500"],"pointer":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}/users","href":"directoryadministration/users/put_domain_users_api_v1_seg_config_gateway__customerid__directory_domains__domain__users_put","openApiOperationId":"put_domain_users_api_v1_seg_config_gateway__customerId__directory_domains__domain__users_put","summary":"Put Domain Users"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"/_mock/seg/seg-config-openapi","description":"Mock server","isMockServer":true},{"url":"https://api.retarus.com"}],"schemaId":"components/schemas/TransportPayloadUsersPutPatch","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/TransportPayloadUsersPutPatch"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Add a list of users to a customer for a specific domain","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/200/content/application~1json/examples/successful","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/200/content/application~1json/examples/partiallySuccessful"]}},"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/200/content/application~1json/examples/successful","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/200/content/application~1json/examples/partiallySuccessful"]},{"code":"400","description":"Bad Request","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/400/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/400/content/application~1json/example"]},{"code":"404","description":"Not Found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/404/content/application~1json/example"]}},"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/404/content/application~1json/example"]},{"code":"500","description":"Internal Server Error","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}},"schemaId":"components/schemas/ErrorResponse"}],"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/200/content/application~1json/examples/successful","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/200/content/application~1json/examples/partiallySuccessful"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TransportResponsePutPatchDelete","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/200/content/application~1json/examples/successful","paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/200/content/application~1json/examples/partiallySuccessful"]}}},{"code":"400","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/400/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/400/content/application~1json/example"]}}},{"code":"404","schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/404/content/application~1json/example"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse","exampleIds":["paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/put/responses/404/content/application~1json/example"]}}},{"code":"500","schemaId":"components/schemas/ErrorResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorResponse"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/directoryadministration/users/put_domain_users_api_v1_seg_config_gateway__customerid__directory_domains__domain__users_put"}],"panels":[]}]},"httpPath":"/seg/config/v1/beta/{customerId}/directory/domains/{domain}/users"},{"label":"Patch Domain Users","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/seg/seg-config-openapi/directoryadministration/users/patch_domain_users_api_v1_seg_config_gateway__customerid__directory_domains__domain__users_patch","routeSlug":"/seg/seg-config-openapi/directoryadministration/users/patch_domain_users_api_v1_seg_config_gateway__customerid__directory_domains__domain__users_patch","metadata":{"seo":{"title":"Patch Domain Users","description":"Patch Domain Users"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"patch_domain_users_api_v1_seg_config_gateway__customerId__directory_domains__domain__users_patch","name":"Patch Domain Users","isWebhook":false,"pointer":"/paths/~1seg~1config~1v1~1beta~1{customerId}~1directory~1domains~1{domain}~1users/patch","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Patch Domain Users
[...]
